TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release

LIBS	+= -lz ./api_fmod/lib/libfmodex.so -pthread -lid3 $(shell sdl-config --libs) -lGL -lGLU `sdl-config --cflags -libs` -lSDL_image

HEADERS	+= ensPtrMorceau.hpp \
	morceau.hpp \
	qbibliotheque.h \
	qfenprincipale.h \
	qlecteur.h \
	fmod.hpp \
	sdglutils_lib/sdlglutils.h

SOURCES	+= main.cpp \
	ensPtrMorceau.cpp \
	morceau.cpp \
	fmod.cpp \
	qbibliotheque.cpp \
	qfenprincipale.cpp \
	sdglutils_lib/sdlglutils.cpp

FORMS	= wbibliotheque.ui \
	wlecteur.ui \
	fenprincipale.ui \
	wabout.ui

IMAGES	= images/filenew \
	images/fileopen \
	images/filesave \
	images/print \
	images/undo \
	images/redo \
	images/editcut \
	images/editcopy \
	images/editpaste \
	images/searchfind \
	precedent.png \
	stop.png \
	suivant.png \
	enceinte.png \
	pause.png \
	play.png \
	VolumeMoins.png \
	VolumePlus.png \
	images/logo.png

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}

